#include <iostream>
#include <fstream>
#include <stdio.h>
#include "config.hpp"

using namespace std;


parameters get_params(){
    ifstream param_file;
    parameters current_param;
    string line;
    double value;
    param_file.open("param.dat", ios::in);

    if(param_file.is_open()){
      cout<<"param.dat file found"<<endl;
    }else{
      cout<<"param.dat file not found"<<endl;
      exit(EXIT_FAILURE);
      return current_param;
    }
    while(param_file >>line>>value){
      cout<<line<<" "<<value<<endl;
      if(line =="beta"){ current_param.beta = int(value);}
      if(line =="n"){ current_param.n = value;}
      if(line =="q"){current_param.q= int(value);}
      if(line =="p"){current_param.p= int(value);}
      if(line =="U_min"){current_param.U_min= value;}
      if(line =="U_max"){current_param.U_max= value;}
      if(line =="nb_U"){current_param.nbr_U= int(value);}
    }

    return current_param;
}

parameters init_default(){
  parameters def;
  def.beta = 100;
  def.n=0.5;
  def.q=100;
  return def;
}
